/* Related posts styles - begin
	====================================================================== */

.mkdf-related-posts-holder {
    @include mkdfRelativeHolderLayout();
    padding: 0;
    box-sizing: border-box;

    .mkdf-related-posts-holder-inner {
        padding: 46px 0 26px;
    }

    .mkdf-related-posts-title {
        margin: 0 0 40px;

        > * {
            margin: 0;
        }
    }

    .mkdf-related-posts-inner {
        margin: 0 -10px;
    }

    .mkdf-related-post {
        position: relative;
        display: inline-block;
        float: left;
        width: 25%;
        margin: 0 0 20px;
        padding: 0 10px;
        box-sizing: border-box;
    
        .mkdf-content-has-sidebar & {
            widtH: 33.33333333333333%;
        }
    
        .touch & {
            cursor: pointer;
        }
    
        &:hover {
        
            .mkdf-related-post-image a:after {
                opacity: 1;
            }
        }
    
        .mkdf-related-post-image {
            @include mkdfRelativeHolderLayout();
            overflow: hidden;
        
            a {
                position: relative;
                display: block;
            
                &:after {
                    @include mkdfAbsoluteHolderLayout();
                    content: '';
                    opacity: 0;
                    background-color: rgba($default-heading-color, 0.2);
                    @include mkdfTransition(opacity 0.3s ease);
                }
            }
        
            img {
                display: block;
            }
        }
    
        .mkdf-post-title {
            margin: 19px 0 0;
        }
    
        .mkdf-post-info {
            @include mkdfRelativeHolderLayout();
            margin: 4px 0 0;

            > div {
                position: relative;
                display: inline-block;
                vertical-align: top;
                float: left;
                padding: 0 13px 0 0;
                color: inherit;

                &:after {
                    position: absolute;
                    top: 0;
                    right: 4px;
                    content: '/';
                }

                &:last-child {
                    padding: 0;

                    &:after {
                        display: none;
                    }
                }

                &.mkdf-post-info-author {

                    .mkdf-post-info-author-text {
                        margin: 0 3px 0 0;
                    }
                }

                a {
                    color: inherit;
                    line-height: inherit;
                    font-size: inherit;
                    font-weight: inherit;
                }
            }
        }
    }
}

/* Related posts styles - end
	====================================================================== */
